import { RefObject, Component } from 'react';
import { IProps, IState, Layers } from './type';
export default class XtGraphic extends Component<IProps, IState> {
    contentRef: RefObject<any>;
    constructor(props: any);
    componentDidMount(): void;
    getMediaCategoryListData: () => Promise<void>;
    getMediaListData: (sceneId?: number) => Promise<void>;
    handleHeaderIndex: (e: number) => void;
    deepFlatten: (list: any) => Layers[];
    handleListIndex: (e: number) => Promise<void>;
    onSubmit: () => void;
    onCancel: () => void;
    render(): JSX.Element;
}
